var BasePageTests = {

    StartTest: function () {
        describe("BasePageFake with User parameter", function () {
            it("passes when it creates all parameters",
                function (done) { // magic. If you add done here it can handle async :)

                    LoadTestPage({
                        pageUrl: "FW/BasePageFake.aspx?Entity=User",
                        startTestFunction: function () {
                            expect(TestPage.divEntityName.innerText).toEqual("UserClass");
                            done();
                        },
                        height: 100,
                        width: 300
                    });

            });
        });

        describe("BasePageFake with Role parameter", function () {
            it("passes when it creates all parameters",
                function (done) { // magic. If you add done here it can handle async :)

                    LoadTestPage({
                        pageUrl: "FW/BasePageFake.aspx?Entity=Role",
                        startTestFunction: function () {
                            expect(TestPage.divEntityName.innerText).toEqual("RoleClass");
                            done();
                        },
                        height: 100,
                        width: 300
                    });
            });
        });

    }

}

// loads the test page and start testing
LoadTestPage({
    pageUrl: "FW/BasePageFake.aspx",
    startTestFunction: BasePageTests.StartTest,
    height: 100,
    width: 300
});
